javax.swing.plaf

## Class ComponentInputMapUIResource

- java.lang.Object
- - javax.swing.InputMap
  - - javax.swing.ComponentInputMap
    - - javax.swing.plaf.ComponentInputMapUIResource

- All Implemented Interfaces:
    Serializable, UIResource

      public class ComponentInputMapUIResource
      extends ComponentInputMap
      implements UIResource

  A subclass of javax.swing.ComponentInputMap that implements UIResource. UI classes which provide a ComponentInputMap should use this class.
  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentInputMapUIResource(JComponent component)`

  - ### Method Summary

    - ### Methods inherited from class javax.swing.ComponentInputMap

      `clear, getComponent, put, remove, setParent`

    - ### Methods inherited from class javax.swing.InputMap

      `allKeys, get, getParent, keys, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentInputMapUIResource

          public ComponentInputMapUIResource(JComponent component)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.